LayoutOrientation (Freeplane API 1.11.8)
Description: declaration: package: org.freeplane.api, enum: LayoutOrientation

Package org.freeplane.api

# Enum Class LayoutOrientation

java.lang.Object
java.lang.Enum<LayoutOrientation>
org.freeplane.api.LayoutOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<LayoutOrientation>`, `Constable`

public enum LayoutOrientation extends Enum<LayoutOrientation>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `LEFT_TO_RIGHT`
  `NOT_SET`
  `TOP_TO_BOTTOM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LayoutOrientation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LayoutOrientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_SET

    public static final LayoutOrientation NOT_SET

  - ### AUTO

    public static final LayoutOrientation AUTO

  - ### TOP_TO_BOTTOM

    public static final LayoutOrientation TOP_TO_BOTTOM

  - ### LEFT_TO_RIGHT

    public static final LayoutOrientation LEFT_TO_RIGHT

- ## Method Details

  - ### values

    public static LayoutOrientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LayoutOrientation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null